futhark-0.25.27: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.CodeGen.RTS.Python

Description

Code snippets used by the Python backends.

Synopsis

- memoryPy :: Text
- openclPy :: Text
- panicPy :: Text
- scalarPy :: Text
- serverPy :: Text
- tuningPy :: Text
- valuesPy :: Text

# Documentation

memoryPy :: Text Source #

    rtspythonmemory.py

openclPy :: Text Source #

    rtspythonopencl.py

panicPy :: Text Source #

    rtspythonpanic.py

scalarPy :: Text Source #

    rtspythonscalar.py

serverPy :: Text Source #

    rtspythonserver.py

tuningPy :: Text Source #

    rtspythontuning.py

valuesPy :: Text Source #

    rtspythonvalues.py